# $Revision: 1.20 $, $Date: 2005/10/26 16:31:59 $
#
# Conditional build:
#
Summary:	Sound player with the WinAmp GUI, for Unix-based systems, using GTK+ 2
Name:		bmpx
Version:  @VERSION@	
Release:	1
License:	GPL
Group:		Applications/Multimedia
Source0:    http://files.beep-media-player.org/releases/0.20/%{name}-%{version}.tar.gz
URL:		    http://bmpx.beep-media-player.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-root-%(id -u -n)
BuildRequires:	gstreamer-devel >= 0.10.7
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.7
BuildRequires:  gstreamer-plugins-good-devel >= 0.10.3
BuildRequires:  gstreamer-plugins-ugly-devel >= 0.10.3
BuildRequires:  gstreamer-plugins-bad-devel >= 0.10.3
BuildRequires:  gtk2-devel >= 2.8.15
BuildRequires:	gamin-devel >= 0.1.7
BuildRequires:  dbus-devel >= 0.61
BuildRequires:  dbus-glib >= 0.61
BuildRequires:  hal-devel >= 0.5.7
BuildRequires:  libmusicbrainz-devel >= 2.1.1
BuildRequires:  taglib-devel >= 1.4
BuildRequires:  neon-devel = 0.25.5
BuildRequires:  libxml2-devel >= 2.6.23 
BuildRequires:  gtkmm24-devel >= 2.8.3
BuildRequires:  glibmm24-devel => 2.8.4 
BuildRequires:  libnotify-devel >= 0.4.2-1.bmp
BuildRequires:  notification-daemon >= 0.3.5-1.bmp 
BuildRequires:  faad2-devel
BuildRequires:  libsidplay-devel

%description
Easy to use mediaplayer with GTK+2 and ponies.

%package devel
Summary:	Header files for BMPx media player
Group:		X11/Development/Libraries
# doesn't require base

%description devel
Header files required for compiling BMPx media player plugins.

%prep
%setup -q

%build
%configure --enable-hal --enable-gamin --with-dbus-services-dir=$RPM_BUILD_ROOT%{_datadir}/dbus-1/services --enable-libnotify --enable-mp4v2 --enable-sid
make

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall} 
rm -f $RPM_BUILD_ROOT%{_libdir}/bmpx/plugins/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
update-desktop-database

%postun
/sbin/ldconfig
update-desktop-database

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/beep*
%attr(755,root,root) %{_bindir}/bmp*
%attr(755,root,root) %{_libexecdir}/beep-media-player-2-bin
%{_libdir}/bmpx
%{_mandir}/man*/*
%{_datadir}/bmpx/*
%{_datadir}/applications/*
%{_datadir}/mime/*
%{_datadir}/locale/*
%{_datadir}/icons/*
%{_datadir}/dbus-1/services/*

%files devel
%defattr(644,root,root,755)
%{_includedir}/bmp-2.0
%{_libdir}/pkgconfig/bmp-2.0.pc
